## org.eclipse.datatools.sqltools.routineeditor.ui.actions
Class RoutineActionProvider

    java.lang.Object
      org.eclipse.ui.actions.ActionGroup
          org.eclipse.ui.navigator.CommonActionProvider
              org.eclipse.datatools.sqltools.routineeditor.ui.actions.RoutineActionProvider

All Implemented Interfaces:
  org.eclipse.ui.navigator.IMementoAware

    public class RoutineActionProvider

extends org.eclipse.ui.navigator.CommonActionProvider

Author:
  Hui Cao

Constructor Summary
`RoutineActionProvider()`

Method Summary
`void` `fillActionBars(org.eclipse.ui.IActionBars bars)`
`void` `fillContextMenu(org.eclipse.jface.action.IMenuManager manager)`
`void` `setActionContext(org.eclipse.ui.actions.ActionContext aContext)`
`void` `setContext(org.eclipse.ui.actions.ActionContext context)`

Methods inherited from class org.eclipse.ui.navigator.CommonActionProvider
`init, restoreState, saveState`

Methods inherited from class org.eclipse.ui.actions.ActionGroup
`dispose, getContext, updateActionBars`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### RoutineActionProvider

    public RoutineActionProvider()

Method Detail

### setActionContext

    public void setActionContext(org.eclipse.ui.actions.ActionContext aContext)

### fillContextMenu

    public void fillContextMenu(org.eclipse.jface.action.IMenuManager manager)

  Overrides:
    `fillContextMenu` in class `org.eclipse.ui.actions.ActionGroup`

### fillActionBars

    public void fillActionBars(org.eclipse.ui.IActionBars bars)

  Overrides:
    `fillActionBars` in class `org.eclipse.ui.actions.ActionGroup`

### setContext

    public void setContext(org.eclipse.ui.actions.ActionContext context)

  Overrides:
    `setContext` in class `org.eclipse.ui.actions.ActionGroup`